%define oname   diff-lcs

Name:       ruby-%{oname}
Version:    1.5.0
Release:    %mkrel 2
Summary:    Provides a list of changes
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/ruwiki/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.12
#BuildRequires: rubygem(rspec) >= 2.0
BuildArch:  noarch

%description
Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt longest
common subsequence (LCS) algorithm to compute intelligent differences
between two sequenced enumerable containers. The implementation is based on
Mario I. Wolczko's SmallTalk version (1.2, 1993) and Ned Konz's Perl version
(Algorithm::Diff).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

# Fix Wrong interpreter
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/diff/{lcs/*.rb,lcs.rb}

%files
%{_bindir}/ldiff
%{_bindir}/htmldiff
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc docs/COPYING.txt
%doc README.rdoc
%doc Manifest.txt


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.5.0-2.mga9
+ Revision: 1827416
- Mageia 9 Mass Rebuild

* Sat Mar 19 2022 pterjan <pterjan> 1.5.0-1.mga9
+ Revision: 1800673
- Update to 1.5.0

* Fri Feb 14 2020 umeabot <umeabot> 1.3-4.mga8
+ Revision: 1522592
- Mageia 8 Mass Rebuild

* Mon Jan 28 2019 daviddavid <daviddavid> 1.3-3.mga7
+ Revision: 1361571
- add patch to fix shebang

* Fri Sep 21 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1290873
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 1.3-1.mga7
+ Revision: 1214532
- Update to 1.3

* Mon Feb 01 2016 umeabot <umeabot> 1.2.5-4.mga6
+ Revision: 930047
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-3.mga5
+ Revision: 748792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-2.mga5
+ Revision: 688787
- Mageia 5 Mass Rebuild

* Mon May 05 2014 pterjan <pterjan> 1.2.5-1.mga5
+ Revision: 620307
- 1.2.5

* Sat Dec 28 2013 pterjan <pterjan> 1.2.4-5.mga4
+ Revision: 561731
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.2.4-4.mga4
+ Revision: 561159
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.2.4-3.mga4
+ Revision: 535758
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.4-2.mga4
+ Revision: 481962
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.2.4-1.mga4
+ Revision: 480161
- 1.2.4

* Wed Sep 11 2013 pterjan <pterjan> 1.1.3-5.mga4
+ Revision: 477428
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.3-4.mga3
+ Revision: 395867
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.3-3.mga3
+ Revision: 380824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.3-2.mga3
+ Revision: 312106
- drop req to build
- rebuild for new ruby

* Tue Jun 12 2012 solbu <solbu> 1.1.3-1.mga3
+ Revision: 260078
- Remove yardoc
- New version
- Spec cleanup
- Drop patch

* Fri Feb 04 2011 shikamaru <shikamaru> 1.1.2-5.mga1
+ Revision: 46956
- Add check section
- add patch to fix Rakefile
- add buildrequires
- bump release

* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.2-4.mga1
+ Revision: 39675
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.1.2-3.mga1
+ Revision: 35510
- imported package ruby-diff-lcs


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.2-3mdv2011.0
- Initial package

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-2mdv2011.0
+ Revision: 614726
- the mass rebuild of 2010.1 packages

* Mon Feb 01 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 499305
- import ruby-diff-lcs


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.2-1
- initial release
